Last Comment Bug 698257 - Make pymake's info behave like GNU make's info
: Make pymake's info behave like GNU make's info
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
-- normal (vote)
: mozilla10
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
: Gregory Szorc [:gps] (away until 2017-03-20)
Mentors:
Depends on: 698255
Blocks: 698213
  Show dependency treegraph
 
Reported: 2011-10-30 03:20 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2011-11-02 06:14 PDT (History)
3 users (show)
sid.bugzilla: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1008 bytes, patch)
2011-10-30 03:20 PDT, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Splinter Review
fixed patch (993 bytes, patch)
2011-10-31 03:48 PDT, Siddharth Agarwal [:sid0] (inactive)
khuey: review+
Details | Diff | Splinter Review

Description User image Siddharth Agarwal [:sid0] (inactive) 2011-10-30 03:20:58 PDT
Created attachment 570534 [details] [diff] [review]
patch

From https://www.gnu.org/s/hello/manual/make/Make-Control-Functions.html#Make-Control-Functions:

"[info] does nothing more than print its (expanded) argument(s) to standard output. No makefile name or line number is added. The result of the expansion of this function is the empty string."

Pymake doesn't print anything, though, instead calling log.info. I think it makes sense to have info behave the same as GNU make's info, i.e. as a generic print command.
Comment 1 User image Siddharth Agarwal [:sid0] (inactive) 2011-10-31 03:48:13 PDT
Created attachment 570635 [details] [diff] [review]
fixed patch

We only support one grep-for predicate at a time...
Comment 2 User image Siddharth Agarwal [:sid0] (inactive) 2011-10-31 05:43:27 PDT
http://hg.mozilla.org/users/bsmedberg_mozilla.com/pymake/rev/91b606372a44
Comment 3 User image Siddharth Agarwal [:sid0] (inactive) 2011-11-02 06:14:17 PDT
Fixed with https://hg.mozilla.org/mozilla-central/rev/d13cb5295a37.

Note You need to log in before you can comment on or make changes to this bug.